fieldset {
    border: 1px solid #0a6184;
    padding: 10px;
    border-radius: 6px;
    margin: 5px 0px 15px 0px;
}

legend {
    background-color: #12a8e4;
    padding: 3px 6px;
    border-radius: 5px;
    color: white;
}

.field_row 
{
    margin: 0 0 10px 0;
}

.field_row label 
{
    float:left;
    width:100px;
    text-align:left;
    line-height:2.3;
}

.field_row label.wide 
{
    width:150px;
}

label.required
{
    color:red;
}

.form_field
{
    float:left;
}

input, textarea, select{line-height:1.5;color:#555;border:1px solid #ccc;border-radius:4px;padding:0px 4px;-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075);box-shadow:inset 0 1px 1px rgba(0,0,0,.075);-webkit-transition:border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;-o-transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s}
.form_field input, .form_field textarea, .form_field select{display:block;padding:5px 9px;font-size:14px;line-height:1.5;color:#555;border:1px solid #ccc;border-radius:4px;-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075);box-shadow:inset 0 1px 1px rgba(0,0,0,.075);-webkit-transition:border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;-o-transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s}
.form_field input:focus, .form_field textarea:focus, .form_field select:focus{border-color:#66afe9;outline:0;-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6)}
.form_field input::-moz-placeholder, .form_field textarea::-moz-placeholder, .form_field select::-moz-placeholder{color:#999;opacity:1}
.form_field input:-ms-input-placeholder, .form_field textarea:-ms-input-placeholder, .form_field select:-ms-input-placeholder{color:#999}
.form_field input::-webkit-input-placeholder, .form_field textarea::-webkit-input-placeholder, .form_field select::-webkit-input-placeholder{color:#999}
.form_field input[disabled], .form_field textarea[disabled], .form_field select[disabled],.form_field input[readonly], .form_field textarea[readonly], .form_field select[readonly]{background-color:#eee;opacity:1;cursor:not-allowed}

.submit_button, .small_button {
    color: #fff;
    background-color: #5cb85c;
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 2px solid #2ea22e;
    border-radius: 4px;
}

#cancel_sale_button {
    background-color: #fd2e5e;
    border: 2px solid #ffa7a7;
}

.small_button {
    position:relative;
    width:120px;
    height:23px;
    cursor:pointer;
    padding: 0;
}
.small_button span {
    position:absolute;
    width:100%;
    top:4px;
    left:0;
    color:#FFF;
    font-size:11px;
    font-weight:bold;
    text-align:center;
}

.float_left {
    float:left;
}

.float_right {
    float:right;
}

.big_button {
    padding: 4px 8px;
    cursor: pointer;
    border: 2px solid green;
    box-shadow: 0px 0px 10px orangered;
    border-radius: 5px;
}

.big_button span
{
    display: block;
    text-align: center;
    font-weight: bold;
}


.empty_message
{
    background-color: #ff0f3c !important;
    font-size: 14px;
    border: 1px solid #4386a1;
    font-weight: bold;
    border-radius: 4px;
    margin-bottom: 3px;
    color: white;
    padding: 5px !important;
}

.error_message
{
    text-align: center;
    background-color: #ff0000;
    border: 1px solid #0549ff;
    font-weight: bold;
    color: #fff;
    border-radius: 4px;
    margin-bottom: 3px;
    padding: 3px;
}

.warning_message
{
    text-align:center;
    background-color:#FBEC5D;
    border:1px solid #da3232;
    font-weight:bold;
    border-radius: 4px;
    margin-bottom: 3px;
    padding: 3px;
}

.success_message
{
    text-align: center;
    background-color: #47a530;
    border: 1px solid #184c76;
    font-weight: bold;
    box-shadow: 0px 0px 10px #efff00;
    color: white;
}

input
{
    font-family:arial;
}

.clearfix:after 
{
    content: ".";
    display: block;
    clear: both;
    visibility: hidden;
    line-height: 0;
    height: 0;
}
html[xmlns] .clearfix {	display: block; }
* html .clearfix { height: 1%; }
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none; 
    margin: 0; 
}